QuantLib: LossDistHomogeneous Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.6

- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
LossDistHomogeneous Class Reference

Loss Distribution for Homogeneous Pool. More...

`#include <ql/experimental/credit/lossdistribution.hpp>`

Inheritance diagram for LossDistHomogeneous:
[legend]

## Public Member Functions
| LossDistHomogeneous (Size nBuckets, Real maximum)
Distribution | operator() (Real volume, const std::vector< Real > &probabilities) const
Distribution | operator() (const std::vector< Real > &volumes, const std::vector< Real > &probabilities) const
Size | buckets () const
Real | maximum () const
Size | size () const
Real | volume () const
std::vector< Real > | probability () const
std::vector< Real > | excessProbability () const

## Additional Inherited Members
Static Public Member Functions inherited from LossDist
static Real | binomialProbabilityOfNEvents (int n, std::vector< Real > &p)
static Real | binomialProbabilityOfAtLeastNEvents (int n, std::vector< Real > &p)
static std::vector< Real > | probabilityOfNEvents (std::vector< Real > &p)
static Real | probabilityOfNEvents (int n, std::vector< Real > &p)
static Real | probabilityOfAtLeastNEvents (int n, std::vector< Real > &p)

## Detailed Description

Loss Distribution for Homogeneous Pool.

Loss Distribution for Homogeneous Pool

Loss distribution for equal volumes but varying probabilities of default.

The method builds the exact loss distribution for a homogeneous pool of underlyings iteratively by computing the convolution of the given loss distribution with the "loss distribution" of an additional credit following

Xiaofong Ma, "Numerical Methods for the Valuation of Synthetic Collateralized Debt Obligations", PhD Thesis, Graduate Department of Computer Science, University of Toronto, 2007 http://www.cs.toronto.edu/pub/reports/na/ma-07-phd.pdf (formula 2.1)

avoiding numerical instability of the algorithm by

John Hull and Alan White, "Valuation of a CDO and nth to default CDS without Monte Carlo simulation", Journal of Derivatives 12, 2, 2004